from pyspark import SparkContext, SparkConf, SQLContext

if __name__ == '__main__':
    from pyspark.sql import SparkSession
    appName = "Connect To clickhouse - via JDBC"
    spark = SparkSession\
        .builder\
        .master('local')\
        .appName(appName)\
        .config("spark.driver.extraClassPath", "./clickhouse-jdbc-0.4.6-shaded.jar")\
        .getOrCreate()

    url = "jdbc:clickhouse://109.120.189.65:8123"
    user = "admin" #replace by whatever you use
    password = "EM5s9Sp4en803z90" #same here
    dbtable = 'spark_test'
    #driver = "com.github.housepower.jdbc.ClickHouseDriver"
    #driver = "ru.yandex.clickhouse.ClickHouseDriver"
    driver = "com.clickhouse.jdbc.ClickHouseDriver"
    print("Reading clickhouse table")
    #pgDF = spark.read.format('jdbc').option('driver',driver).option('url',url).option('user',user).option('password',password).option('dbtable',dbtable).load()
    res = spark.read.format('jdbc').option('driver',driver).option('url',url).option('user',user).option('password',password).option('query', "SELECT * FROM INFORMATION_SCHEMA.COLUMNS").load()
    print("Clickhouse query result is : ", res.show())
