import time
import re

dns_slugs_validator = re.compile(r"^[a-z0-9][a-z0-9.\-]*[a-z0-9]$")
s3bucket_name_validator = re.compile(r"^[a-z0-9][a-z0-9.\-_]*[a-z0-9]$")


def create_uq_str_with_prefix(prefix: str = 'mlp') -> str:
    ts = int(time.time() * 10000000)
    return f'{prefix}-{ts:x}'
